## Apache Zeta Components Manual :: Docs For Class ezcDocumentDocbookToWikiMediaObjectHandler

### Document::ezcDocumentDocbookToWikiMediaObjectHandler

### Class ezcDocumentDocbookToWikiMediaObjectHandler

Visit media objects

Media objects are all kind of other media types, embedded in the document, like images.

Source for this file: /Document/src/converters/element_visitor/docbook/wiki/mediaobject.php

    ezcDocumentElementVisitorHandler
       |
       --ezcDocumentDocbookToWikiBaseHandler
          |
          --ezcDocumentDocbookToWikiMediaObjectHandler

Version: | //autogen//

### Descendants

Child Class | Description
--- | ---
ezcDocumentDocbookToWikiInlineMediaObjectHandler | Visit inline media objects

### Method Summary

protected array | `getImageParameters( $converter , $node )` Extract image parameters
public mixed | `handle( $converter , $node , $root )` Handle a node

### Inherited Methods

From ezcDocumentDocbookToWikiBaseHandler
protected string | `ezcDocumentDocbookToWikiBaseHandler::renderDirective()` Render a directive
From ezcDocumentElementVisitorHandler
public abstract mixed | `ezcDocumentElementVisitorHandler::handle()` Handle a node.

### Methods

#### getImageParameters

array getImageParameters( ezcDocumentElementVisitorConverter $converter , $node )

Extract image parameters

Extract the image parameters from a media object or inline media object node in the Docbook document. Returns an array with named keys containing the directive parameters.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$converter` | ezcDocumentElementVisitorConverter |
`$node` | DOMElement |

#### handle

mixed handle( ezcDocumentElementVisitorConverter $converter , $node , mixed $root )

Handle a node

Handle / transform a given node, and return the result of the conversion.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$converter` | ezcDocumentElementVisitorConverter |
`$node` | DOMElement |
`$root` | mixed |

##### Redefinition of:

Method | Description
--- | ---
`ezcDocumentElementVisitorHandler::handle()` | Handle a node.

##### Redefined in descendants as:

Method | Description
--- | ---
`ezcDocumentDocbookToWikiInlineMediaObjectHandler::handle()` | Handle a node.

Documentation generated by phpDocumentor 1.4.3